Name:		get_iplayer
Version:	3.13
Release:	%mkrel 1
Summary:	Lists, Records and Streams BBC iPlayer TV and Radio programmes
Group:		Applications/Internet
License:	GPLv3+
URL:		http://github.com/jjl/get_iplayer
Source0:	ftp://ftp.infradead.org/pub/get_iplayer/get_iplayer-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	sed 
BuildRequires:	perl(Cwd) 
BuildRequires:	perl(Env) 
BuildRequires:	perl(Fcntl) 
BuildRequires:	perl(File::Copy) 
BuildRequires:	perl(File::Path) 
BuildRequires:	perl(File::stat) 
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(HTML::Entities) 
BuildRequires:	perl(HTTP::Cookies) 
BuildRequires:	perl(HTTP::Headers)
BuildRequires:	perl(IO::Seekable) 
BuildRequires:	perl(IO::Socket) 
BuildRequires:	perl(LWP::ConnCache)
BuildRequires:	perl(LWP::UserAgent) 
BuildRequires:	perl(POSIX) 
BuildRequires:	perl(Time::Local) 
BuildRequires:	perl(URI)
BuildRequires:	perl(HTML::Entities) 
BuildRequires:	perl(HTTP::Cookies)

Requires:	ffmpeg
Requires:   atomicparsley
Requires:	perl-XML-LibXML
Requires:	perl-XML-SAX
Requires:	perl-XML-SAX-Base
Requires:	perl-XML-NamespaceSupport
Requires:	perl-Pod-Simple
Requires:	perl-JSON
Requires:	perl-JSON-PP
Requires:	perl-IO-Socket-IP
Requires:	perl-Time-Local
Requires:	perl-libwww-perl
Requires:	perl-Net-HTTP
Requires:   perl-Net-SSLeay
Requires:	perl-Mozilla-CA
Requires:	perl-IO-Socket-SSL
Requires:	perl-LWP-Protocol-https
Requires:	perl-Mojolicious
Requires:   perl-HTTP-Cookies
Requires:   perl-HTML-Parser

%{?filter_setup:
# https://bugzilla.redhat.com/show_bug.cgi?id=734244
%filter_from_requires /perl(Programme.*)/d; /perl(Streamer)/d;
%filter_setup
}

BuildArch:	noarch

%description
get_iplayer is a command line tool for listing, recording and streaming BBC iPlayer TV 
programmes, and other programmes via 3rd-party plugins.

%prep
%setup -q

%build
./get_iplayer --manpage=get_iplayer.1 || :

%install
rm -rf $RPM_BUILD_ROOT
install -p -D -m0755 get_iplayer $RPM_BUILD_ROOT%{_bindir}/get_iplayer
install -p -D -m0644 get_iplayer.1 $RPM_BUILD_ROOT%{_mandir}/man1/get_iplayer.1

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/get_iplayer
%{_mandir}/man1/get_iplayer.1.*
%doc LICENSE.txt 

%changelog
* Wed Mar 28 2018 ghostbunny <ghostbunny at gmx dot de> 3.13-1pclos2018
- 3.13

* Sat Jan 27 2018 pp <pp> 3.12-1pclos2018
- update

* Thu Dec 07 2017 bb2 <bb2> - 3.06-3pclos2017
- add dep perl-HTML-Parser again

* Mon Nov 20 2017 TerryN <terryn94 at gmail.com> 3.06-2pclos2017
- remove empty options file (not needed)
- remove unnecessary deps
- add requires for NET::SSLeay

* Fri Nov 17 2017 bb2 <bb2> - 3.06-1pclos2017
- new version

* Tue Sep 12 2017 bb2 <bb2> - 3.02-1pclos2017
- new version

* Tue Aug 15 2017 bb2 <bb2> - 3.01-4pclos2017
- add req perl-HTTP-Cookies

* Mon Jul 17 2017 bb2 <bb2> - 3.01-3pclos2017
- add missing req

* Mon Jul 17 2017 bb2 <bb2> - 3.01-2pclos2017
- rebuild against updates

* Tue May 16 2017 bb2 <bb2> 3.01-1pclos2017
- new version

* Sun Aug 28 2016 ghostbunny <ghostbunny at gmx dot de> 2.96-1pclos2016
- 2.96
- empty options file, the stated option is not supported anymore
- remove dependencies lame, mplayer and vlc as stated by the documentation
- add requirement on perl(XML::LibXML)

* Sat Jun 13 2015 pinoc <vogtpet at gmail.com> 2.94-1pclos2015
- 2.9.4

* Sun Jan 04 2015 pinoc <vogtpet at gmail.com> 2.91-1pclos2015
- imported package
